# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define module_name Yandex-Dictionary
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a simple API for Yandex.Dictionary
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRNFLK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The API is used for getting detailed dictionary entries from the static 
Yandex.Dictionary. Unlike conventional translation dictionaries, it is 
compiled automatically using the technologies at the root of the Yandex 
machine translation system. Yandex.Dictionary entries include the word.e's 
part of speech, and translations are grouped with examples. For English words, 
the transcription is provided. The service supports a total of 17 language pairs.

Note also that the .e'Yandex Terms of Use of API Yandex.Dictionary Service.e'
at https://yandex.com/legal/dictionary_api/ must be observed.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/Y*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

